> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create transfer

> Enqueue a transfer to specified destination.



## OpenAPI

````yaml /generated/openapi-generated-2023-12-01.json post /destinations/{destination_id}/transfer
openapi: 3.1.0
info:
  title: Prequel Data Export
  description: Data Export API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}/
    description: Cloud-prem or shared-cloud server
security:
  - ApiKeyAuth: []
paths:
  /destinations/{destination_id}/transfer:
    post:
      tags:
        - Transfers
      summary: Create transfer
      description: Enqueue a transfer to specified destination.
      operationId: create-transfer
      parameters:
        - name: destination_id
          in: path
          required: true
          description: Destination ID.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTransferRequest'
              $schema: https://json-schema.org/draft/2020-12/schema
              $id: >-
                https://github.com/prequel-co/datafeed/internal/export/api/models/create-transfer-request
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/CreateTransferResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/export/api/models/create-transfer-response
                  message:
                    type: string
                type: object
                required:
                  - status
                  - data
                  - message
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateTransferRequest:
      properties:
        full_refresh:
          type: boolean
          description: >-
            When true: runs a full refresh from the start of the recipient's
            configured transfer window. When false: runs incrementally from the
            last successful transfer.
          default: false
        is_debug_mode:
          type: boolean
          description: Enables debug-level logging for the transfer run.
          default: false
        models:
          items:
            type: string
          type: array
          description: >-
            Specifies models to run. If unspecified or left empty all models
            will be run.
        start_transfer_window_at:
          type: string
          format: date-time
          description: >-
            All rows transferred will have a last_updated_at value greater than
            or equal to this value. If omitted the Unix epoch will be used.
            Timestamps should be represented in RFC3339 format.
        end_transfer_window_at:
          type: string
          format: date-time
          description: >-
            All rows transferred will have a last_updated_at value less than
            this value. If omitted the current time will be used. Timestamps
            should be represented in RFC3339 format.
        tags:
          additionalProperties:
            type: string
          type: object
          description: >-
            Tags to apply to the transfer. Tags are key-value pairs where keys
            and values must contain only alphanumeric characters and
            underscores/hyphens.
      additionalProperties: false
      type: object
    CreateTransferResponse:
      properties:
        transfer_id:
          type: string
      additionalProperties: false
      type: object
      required:
        - transfer_id
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````